3 Replies Latest reply on May 18, 2014 10:25 PM by Fg Ning

    how to change the twist angle of an sweeping surface

    Fg Ning

      dear all

      i want use API to Reset the value of twist angle as shown below

      1.jpg

      the method i used is listed as following

       

      Dim swApp As Object

       

      Dim Part As Object

      Dim boolstatus As Boolean

      Dim longstatus As Long, longwarnings As Long

       

       

      Sub main()

       

       

      Set swApp = Application.SldWorks

       

       

      Set Part = swApp.ActiveDoc

       

       

       

      Set swPart = Part

       

       

      Dim swFeat As SldWorks.Feature

       

       

      Set swFeat = swPart.FeatureByName("曲面-扫描2")

       

       

      Set swsweep = swFeat.GetDefinition

       

       

      swsweep.SetTwistAngle 75.36

       

          

      swFeat.ModifyDefinition swsweep, Part, Nothing

       

       

      End Sub

      while i failed,

      could anyone tell me why and how can i Reset the twistangle

       

      many thanksgiving